From 7c7259636c895ef0e261e1ad9909609fa8680a52 Mon Sep 17 00:00:00 2001
From: Chris Lamb <chris@chris-lamb.co.uk>
Date: Tue, 14 Aug 2018 09:06:47 +0200
Subject: [PATCH 1/2] Correct call to usermod to pass --gid, not --uid. (refs:
 #15695)

---
 config/chroot_local-hooks/04-change-gids-and-uids | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/config/chroot_local-hooks/04-change-gids-and-uids b/config/chroot_local-hooks/04-change-gids-and-uids
index 9a222cac89..23c91e618f 100755
--- a/config/chroot_local-hooks/04-change-gids-and-uids
+++ b/config/chroot_local-hooks/04-change-gids-and-uids
@@ -25,7 +25,7 @@ Change_gid () {
 
 	if [ -n "$NAME" ]; then
 		echo "Changing GID for $NAME ($OLD -> $NEW)"
-		usermod --uid "$NEW" "$NAME"
+		usermod --gid "$NEW" "$NAME"
 		find / -wholename /proc -prune -o \( \! -type l -a -gid "$OLD" -exec chgrp "$NEW" '{}' \; \)
 	fi
 }
-- 
2.18.0

